#
# TODO: bcond for non-gtk gui (gfceux)
#
Summary:	FCE Ultra - Linux Nintendo Entertainment System emulator
Summary(pl.UTF-8):	FCE Ultra - linuksowy emulator systemu Nintendo
Name:		fceultra
Version:	2.2.1
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/fceultra/fceux-%{version}.src.tar.gz
# Source0-md5:	696d0186afb17f3b70d4aa9e9f5cf1d1
Patch0:		lua51.patch
Patch1:		format-security.patch
URL:		http://fceultra.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL >= 1.2.14
BuildRequires:	SDL_gfx-devel >= 1.2.14
BuildRequires:	gtk+2-devel
BuildRequires:	pkgconfig
BuildRequires:	scons
BuildRequires:	zenity
Requires:	zenity
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FCE Ultra is a cross platform, NTSC and PAL Famicom/NES emulator.

%description -l pl.UTF-8
FCE Ultra to wieloplatformowy emulator konsoli Famicom/NES/Pegasus.

%prep
%setup -q -n fceux-%{version}
%patch0 -p1
%patch1 -p1

%build
CC="%{__cc}" \
CXX="%{__cxx}" \
CFLAGS="%{rpmcflags}" \
LDFLAGS="%{rpmldflags}" \
LIBS="-ldl" \
%scons

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

cp -a bin/fceux $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Authors README-SDL TODO-SDL changelog.txt documentation
%attr(755,root,root) %{_bindir}/fceux
%changelog
* Sun Jul 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fceultra.git;a=log;h=master

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> c5baaea
- updated to 2.2.1

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 090fcaa
- release 5 (by relup.sh)

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 0658dcb
- builds now

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> d6b3c3f
- fix -build.patch
- pass CC, CXX, CFLAGS, LDFLAGS and LIBS
- rlease 4 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c3f2a9f
- release 3

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d1980c
- release 2

* Tue Aug 16 2011 lisu <lisu@pld-linux.org> 3b60063
- don't declare asprintf again

* Tue Aug 16 2011 lisu <lisu@pld-linux.org> ece97d1
- updated to 2.1.5
- added -build.patch

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 456c8f7
- BR: gtk+2-devel, pkgconfig

* Tue Jan 25 2011 lisu <lisu@pld-linux.org> 47bdd94
- up to 2.1.4a
- more verbose files
- cosmetics
- TODO

* Mon May 11 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 683d24a
- fix docs

* Mon May 11 2009 Bartłomiej Zimoń <cactus@pld-linux.org> e0fc8ba
- up to 2.1.0a

* Sat Jul 19 2008 Bartłomiej Zimoń <cactus@pld-linux.org> b587961
- clean ups
- rel 1

* Sat Jul 19 2008 Bartłomiej Zimoń <cactus@pld-linux.org> 13d7590
- initial

